# OpenLayers.Format.XLS

Read/Wite XLS (OpenLS). Create a new instance with the OpenLayers.Format.XLS constructor. Currently only implemented for Location Utility Services, more specifically only for Geocoding. No support for Reverse Geocoding as yet.

#### Inherits from

- OpenLayers.Format.XML.VersionedOGC

Summary

OpenLayers.Format.XLS | Read/Wite XLS (OpenLS).
Properties |
defaultVersion | {String} Version number to assume if none found.
stringifyOutput | {Boolean} If true, write will return a string otherwise a DOMElement.
Constructor |
OpenLayers.Format.XLS | Create a new parser for XLS.
Functions |
write | Write out an XLS request.
read | Read an XLS doc and return an object representing the result.

### Properties

### defaultVersion

{String} Version number to assume if none found. Default is “1.1.0”.

### stringifyOutput

{Boolean} If true, write will return a string otherwise a DOMElement. Default is true.

### Constructor

### OpenLayers.Format.XLS

Create a new parser for XLS.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Functions

### write

Write out an XLS request.

#### Parameters

request | {Object} An object representing the LUS request.
options | {Object} Optional configuration object.

#### Returns

{String} An XLS document string.

### read

Read an XLS doc and return an object representing the result.

#### Parameters

data | {String | DOMElement} Data to read.
options | {Object} Options for the reader.

#### Returns

{Object} An object representing the GeocodeResponse.

Create a new parser for XLS.
Base class for versioned formats, i.e.
Close